%define pkgname trollop
Summary:	Yet another commandline option parsing library
Name:		ruby-%{pkgname}
Version:	1.15
Release:	5
License:	Ruby
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	359347775ff3166eb13ec80363ad67a1
URL:		http://trollop.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Trollop is YAFCLAP --- yet another fine commandline argument
processing library for Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%{ruby_vendorlibdir}/trollop.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Trollop
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-trollop.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 2e8b18a
- build noarch;

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> eb3b33f
- rebuild for ruby 2.0
- release 4 (by relup.sh)

* Sun Apr 28 2013 Elan Ruusamäe <glen@delfi.ee> 5778f00
- build noarch, install to vendor dir

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> cf4af1e
- rel 2
- use gem source
- updated build process
- added rdoc and ri packages

* Sun Nov 29 2009 Artur Frysiak <artur@frysiak.net> a5e9856
- updated to 1.15

* Wed Apr 02 2008 Elan Ruusamäe <glen@pld-linux.org> 496a193
- adapter, add changelog

* Wed Apr 02 2008 aredridel <aredridel@pld-linux.org> 8e0b2da
- added

